=== debian/changelog ===
libaec (1.1.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.3
  * Drop Priority: optional
  * Switch buildsystem to cmake to provide cmake config files
  * Include cmake files

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Jan 2026 10:14:35 +0000
