=== debian/control ===
Source: libaec
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 unzip,
 cmake
Rules-Requires-Root: no
Standards-Version: 4.7.3
Homepage: https://gitlab.dkrz.de/k202009/libaec
Vcs-Browser: https://salsa.debian.org/science-team/libaec
Vcs-Git: https://salsa.debian.org/science-team/libaec.git -b debian/latest

Package: libaec0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Adaptive Entropy Coding library
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples). The library achieves best
 results for low entropy data as often encountered in space imaging
 instrument data or numerical model output from weather or climate
 simulations. While floating point representations are not directly
 supported, they can also be efficiently coded by grouping exponents
 and mantissa.
 .
 Libaec implements Golomb Rice coding as defined in the Space Data
 System Standard documents 121.0-B-2 [1] and 120.0-G-2[2].

Package: libsz2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Adaptive Entropy Coding library - SZIP
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples).
 Libaec implements Golomb Rice coding as defined in the Space Data
 System Standard documents 121.0-B-2 [1] and 120.0-G-2[2].
 .
 This package provides a free drop-in replacement for the SZIP
 compression library.

Package: libaec-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libaec0 (= ${binary:Version}), libsz2 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the Adaptive Entropy Coding library
 Libaec provides fast lossless compression of 1 up to 32 bit wide
 signed or unsigned integers (samples). The library achieves best
 results for low entropy data as often encountered in space imaging
 instrument data or numerical model output from weather or climate
 simulations. While floating point representations are not directly
 supported, they can also be efficiently coded by grouping exponents
 and mantissa.
