## libaec 1.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.26...3.31)
-project(libaec LANGUAGES C VERSION 1.1.5)
+project(libaec LANGUAGES C VERSION 1.1.6)
 
 option(BUILD_SHARED_LIBS "OFF: do not build shared libraries.  ON (default): build shared libraries" ON)
 option(BUILD_STATIC_LIBS "OFF: do not build static libraries.  ON (default): build static libraries" ON)
@@ -61,8 +61,10 @@
 
   add_subdirectory(fuzzing)
   set(FUZZ_TARGET_SAN_FLAGS -fsanitize=fuzzer-no-link,address,undefined)
-  target_compile_options(aec PUBLIC -g -O1 ${FUZZ_TARGET_SAN_FLAGS})
-  target_link_options(aec PUBLIC ${FUZZ_TARGET_SAN_FLAGS})
+  target_compile_options(aec-shared-objects PUBLIC -g -O1 ${FUZZ_TARGET_SAN_FLAGS})
+  target_link_options(aec-shared PUBLIC ${FUZZ_TARGET_SAN_FLAGS})
+  target_compile_options(sz-shared-objects PUBLIC -g -O1 ${FUZZ_TARGET_SAN_FLAGS})
+  target_link_options(sz-shared PUBLIC ${FUZZ_TARGET_SAN_FLAGS})
 endif()
 
 # Include the install rules if the user wanted them (included by
