=== debian/changelog ===
libaec (1.1.6-1) unstable; urgency=medium

  * New upstream release
  * d/gpb.conf: pristine-tar = True
  * Move d/copyright to DEP5
  * README.SZIP moved to doc/

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 06:54:42 +0000
